<?php
class UsuarioBean {

  protected $UsuarioId;
  protected $Nombre;
  protected $Contrasena;
  protected $RolId;
  protected $PswdFechCambio;
  protected $PswdHoraCambio;
  protected $PswdAciertos;
  protected $EnUso;
  protected $EsDisabled;
  protected $FechaInicioSesion;
  protected $HoraInicioSesion;
  protected $CodigoIdioma;
  protected $FechaInicio;
  protected $FechaFin;
  protected $DireccionIp;
  protected $CorreoElectronico;
  protected $FechaCreacion;
  protected $UsuarioCreacion;
  protected $FechaActualizacion;
  protected $UsuarioActualizacion;
  
  protected $DateBegin;
  protected $DateEnd;
  
	protected $Mensaje;
	protected $Error;

  public function getUsuarioId(){
    return $this->UsuarioId;
  }
  public function setUsuarioId($vl){
    $this->UsuarioId = $vl;
  }

  public function getNombre(){
    return $this->Nombre;
  }
  public function setNombre($vl){
    $this->Nombre = $vl;
  }

  public function getContrasena(){
    return $this->Contrasena;
  }
  public function setContrasena($vl){
    $this->Contrasena = $vl;
  }

  public function getRolId(){
    return $this->RolId;
  }
  public function setRolId($vl){
    $this->RolId = $vl;
  }

  public function getPswdFechCambio(){
    return $this->PswdFechCambio;
  }
  public function setPswdFechCambio($vl){
    $this->PswdFechCambio = $vl;
  }

  public function getPswdHoraCambio(){
    return $this->PswdHoraCambio;
  }
  public function setPswdHoraCambio($vl){
    $this->PswdHoraCambio = $vl;
  }

  public function getPswdAciertos(){
    return $this->PswdAciertos;
  }
  public function setPswdAciertos($vl){
    $this->PswdAciertos = $vl;
  }

  public function getEnUso(){
    return $this->EnUso;
  }
  public function setEnUso($vl){
    $this->EnUso = $vl;
  }

  public function getEsDisabled(){
    return $this->EsDisabled;
  }
  public function setEsDisabled($vl){
    $this->EsDisabled = $vl;
  }

  public function getFechaInicioSesion(){
    return $this->FechaInicioSesion;
  }
  public function setFechaInicioSesion($vl){
    $this->FechaInicioSesion = $vl;
  }

  public function getHoraInicioSesion(){
    return $this->HoraInicioSesion;
  }
  public function setHoraInicioSesion($vl){
    $this->HoraInicioSesion = $vl;
  }

  public function getCodigoIdioma(){
    return $this->CodigoIdioma;
  }
  public function setCodigoIdioma($vl){
    $this->CodigoIdioma = $vl;
  }

  public function getFechaInicio(){
    return $this->FechaInicio;
  }
  public function setFechaInicio($vl){
    $this->FechaInicio = $vl;
  }

  public function getFechaFin(){
    return $this->FechaFin;
  }
  public function setFechaFin($vl){
    $this->FechaFin = $vl;
  }

  public function getDireccionIp(){
    return $this->DireccionIp;
  }
  public function setDireccionIp($vl){
    $this->DireccionIp = $vl;
  }

  public function getCorreoElectronico(){
    return $this->CorreoElectronico;
  }
  public function setCorreoElectronico($vl){
    $this->CorreoElectronico = $vl;
  }

  public function getFechaCreacion(){
    return $this->FechaCreacion;
  }
  public function setFechaCreacion($vl){
    $this->FechaCreacion = $vl;
  }

  public function getUsuarioCreacion(){
    return $this->UsuarioCreacion;
  }
  public function setUsuarioCreacion($vl){
    $this->UsuarioCreacion = $vl;
  }

  public function getFechaActualizacion(){
    return $this->FechaActualizacion;
  }
  public function setFechaActualizacion($vl){
    $this->FechaActualizacion = $vl;
  }

  public function getUsuarioActualizacion(){
    return $this->UsuarioActualizacion;
  }
  public function setUsuarioActualizacion($vl){
    $this->UsuarioActualizacion = $vl;
  }
  
  public function setDateBegin($v){
    $this->DateBegin = $v;
  }
  public function getDateBegin(){
    return $this->DateBegin;
  }
  
  public function setDateEnd($v){
    $this->DateEnd = $v;
  }
  public function getDateEnd(){
    return $this->DateEnd;
  }
  
	public function setMensaje($v){
	  $this->Mensaje = $v;
	}
	public function getMensaje(){
	  return $this->Mensaje;
	}
	
	public function setError($v){
	  $this->Error = $v;
	}
	public function getError(){
	  return $this->Error;
	}

}